Loading...
Searching...
No Matches
ClpPackedMatrix3 Class Reference

`#include <ClpPackedMatrix.hpp>`

Collaboration diagram for ClpPackedMatrix3:
[legend]

## Public Member Functions

Useful methods
void | transposeTimes (const ClpSimplex *model, const double *pi, CoinIndexedVector *output) const
| Return `x * -1 * A in `z`.`
void | transposeTimes (const ClpSimplex *model, const double *pi, CoinIndexedVector *output, CoinIndexedVector *candidate, const CoinIndexedVector *rowArray) const
| This version does dualColumn0 Updates two arrays for steepest.
void | transposeTimes2 (const ClpSimplex *model, const double *pi, CoinIndexedVector *dj1, const double *piWeight, double *COIN_RESTRICT infeas, double *COIN_RESTRICT reducedCost, double referenceIn, double devex, unsigned int *reference, double *weights, double scaleFactor)
Constructors, destructor
| ClpPackedMatrix3 ()
| Default constructor.
| ClpPackedMatrix3 (ClpSimplex *model, const CoinPackedMatrix *columnCopy)
| Constructor from copy.
virtual | ~ClpPackedMatrix3 ()
| Destructor.
Copy method
| ClpPackedMatrix3 (const ClpPackedMatrix3 &)
| The copy constructor.
ClpPackedMatrix3 & | operator= (const ClpPackedMatrix3 &)
Sort methods
void | sortBlocks (const ClpSimplex *model)
| Sort blocks.
void | swapOne (const ClpSimplex *model, const ClpPackedMatrix *matrix, int iColumn)
| Swap one variable.
void | swapOne (int iBlock, int kA, int kB)
| Part of above.
void | checkBlocks (const ClpSimplex *model)
| Debug - check blocks.
int | redoInfeasibilities (const ClpSimplex *model, ClpPrimalColumnSteepest *pivotChoose, int type)
| type - 1 redo infeasible, 2 choose sequenceIn, 3 both returns sequenceIn (or -1) for type 2

## Protected Attributes

Data members
Get temporary array (aligned) The data members are protected to allow access for derived classes.
int | numberBlocks_
| Number of blocks.
int | numberColumns_
| Number of columns.
int | numberColumnsWithGaps_
| Number of columns including gaps.
CoinBigIndex | numberElements_
| Number of elements (including gaps).
int | maxBlockSize_
| Maximum size of any block.
int * | column_
| Column indices and reverse lookup (within block).
CoinBigIndex * | start_
| Starts for odd/long vectors??
int * | row_
| Rows.
double * | element_
| Elements.
CoinDoubleArrayWithLength * | temporary_
| Temporary work area (aligned).
blockStruct * | block_
| Blocks (ordinary start at 0 and go to first block).
int | ifActive_
| If active.

## Detailed Description

Definition at line 604 of file ClpPackedMatrix.hpp.

## Constructor & Destructor Documentation

## ClpPackedMatrix3() [1/3]

ClpPackedMatrix3::ClpPackedMatrix3 | ( |  | ) |

Default constructor.

## ClpPackedMatrix3() [2/3]

ClpPackedMatrix3::ClpPackedMatrix3 | ( | ClpSimplex * | model,
|  | const CoinPackedMatrix * | columnCopy )

Constructor from copy.

## ~ClpPackedMatrix3()

virtual ClpPackedMatrix3::~ClpPackedMatrix3 | ( |  | ) |

virtual

Destructor.

## ClpPackedMatrix3() [3/3]

ClpPackedMatrix3::ClpPackedMatrix3 | ( | const ClpPackedMatrix3 & |  | ) |

The copy constructor.

## Member Function Documentation

## transposeTimes() [1/2]

void ClpPackedMatrix3::transposeTimes | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | output ) const

Return `x * -1 * A in `z`.`

Note - x packed and z will be packed mode Squashes small elements and knows about ClpSimplex

## transposeTimes() [2/2]

void ClpPackedMatrix3::transposeTimes | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | output,
|  | CoinIndexedVector * | candidate,
|  | const CoinIndexedVector * | rowArray ) const

This version does dualColumn0 Updates two arrays for steepest.

## transposeTimes2()

void ClpPackedMatrix3::transposeTimes2 | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | dj1,
|  | const double * | piWeight,
|  | double *COIN_RESTRICT | infeas,
|  | double *COIN_RESTRICT | reducedCost,
|  | double | referenceIn,
|  | double | devex,
|  | unsigned int * | reference,
|  | double * | weights,
|  | double | scaleFactor )

## operator=()

ClpPackedMatrix3 & ClpPackedMatrix3::operator= | ( | const ClpPackedMatrix3 & |  | ) |

## sortBlocks()

void ClpPackedMatrix3::sortBlocks | ( | const ClpSimplex * | model | ) |

Sort blocks.

## swapOne() [1/2]

void ClpPackedMatrix3::swapOne | ( | const ClpSimplex * | model,
|  | const ClpPackedMatrix * | matrix,
|  | int | iColumn )

Swap one variable.

## swapOne() [2/2]

void ClpPackedMatrix3::swapOne | ( | int | iBlock,
|  | int | kA,
|  | int | kB )

Part of above.

## checkBlocks()

void ClpPackedMatrix3::checkBlocks | ( | const ClpSimplex * | model | ) |

Debug - check blocks.

## redoInfeasibilities()

int ClpPackedMatrix3::redoInfeasibilities | ( | const ClpSimplex * | model,
|  | ClpPrimalColumnSteepest * | pivotChoose,
|  | int | type )

type - 1 redo infeasible, 2 choose sequenceIn, 3 both returns sequenceIn (or -1) for type 2

## Member Data Documentation

## numberBlocks_

int ClpPackedMatrix3::numberBlocks_

protected

Number of blocks.

Definition at line 675 of file ClpPackedMatrix.hpp.

## numberColumns_

int ClpPackedMatrix3::numberColumns_

protected

Number of columns.

Definition at line 677 of file ClpPackedMatrix.hpp.

## numberColumnsWithGaps_

int ClpPackedMatrix3::numberColumnsWithGaps_

protected

Number of columns including gaps.

Definition at line 679 of file ClpPackedMatrix.hpp.

## numberElements_

CoinBigIndex ClpPackedMatrix3::numberElements_

protected

Number of elements (including gaps).

Definition at line 685 of file ClpPackedMatrix.hpp.

## maxBlockSize_

int ClpPackedMatrix3::maxBlockSize_

protected

Maximum size of any block.

Definition at line 687 of file ClpPackedMatrix.hpp.

## column_

int* ClpPackedMatrix3::column_

protected

Column indices and reverse lookup (within block).

Definition at line 689 of file ClpPackedMatrix.hpp.

## start_

CoinBigIndex* ClpPackedMatrix3::start_

protected

Starts for odd/long vectors??

Definition at line 691 of file ClpPackedMatrix.hpp.

## row_

int* ClpPackedMatrix3::row_

protected

Rows.

Definition at line 693 of file ClpPackedMatrix.hpp.

## element_

double* ClpPackedMatrix3::element_

protected

Elements.

Definition at line 695 of file ClpPackedMatrix.hpp.

## temporary_

CoinDoubleArrayWithLength* ClpPackedMatrix3::temporary_

protected

Temporary work area (aligned).

Definition at line 697 of file ClpPackedMatrix.hpp.

## block_

blockStruct* ClpPackedMatrix3::block_

protected

Blocks (ordinary start at 0 and go to first block).

Definition at line 703 of file ClpPackedMatrix.hpp.

## ifActive_

int ClpPackedMatrix3::ifActive_

protected

If active.

Definition at line 705 of file ClpPackedMatrix.hpp.

The documentation for this class was generated from the following file:

- Clp/src/ClpPackedMatrix.hpp